.sp_margin {
    margin: 5px 0;
    overflow: hidden;
}

.sp_margin::after {
    content: " ";
    display: table;
    clear: both
}

.sp_margin input[type="checkbox"] {
    width: 20px;
    height: 20px;
    margin-top: 7px;
}

.sp_margin input[type="checkbox"]:checked::after {
    top: -1px;
    left: -3px;
}

.sp-settings__button {
    display: inline-block;
    line-height: 36px;
    padding: 0 15px;
    background-color: steelblue;
    color: white;
    border-radius: 3px;
    text-decoration: none;
    transition: .5s;
    margin-right: 5px;
}

.sp-settings__button--download {
    background-color: cadetblue;
}

.sp-settings__button--update {
    margin-top: 10px;
}

.sp-settings__button:hover, .sp-settings__button:active, .sp-settings__button:link, .sp-settings__button:focus {
    color: white;
}

.sp-settings__button:hover {
    opacity: .85;
}

.sp-extend__param {
    margin-top: 10px;
}

.sp-table {
    width: 100%;
    border-collapse: separate;
    border-spacing: 2px;
}

.sp-table tr td, .sp-table tr th {
    height: 30px;
    background-color: white;
    padding: 3px 5px;
    text-align: center;
}

.sp-table tr th {
    background-color: #dcdcdc;
    color: #565656;
}

.sp-table tr:nth-child(2n) td {
    background-color: #f8f8f8;
}

.sp-table__row--form input {
    width: 100%;
    text-align: center;
    border: 1px solid #ddd;
    padding: 5px;
}

.sp-table__row--form .sp-settings__button {
    margin: 5px 0;
    width: 100%;
    line-height: 30px;
}

.sp-trans__status--finish {
    color: green;
}

.sp-trans__status--active {
    color: orange;
}

.sp-trans__status--expired, .sp-trans__status--canceled {
    color: red;
}

.sp-settings__loading {
    display: none;
    margin: -4px 5px;
    border-radius: 50%;
    overflow: hidden;
    background-color: white;
    width: 20px;
    height: 20px;
}

.sp-settings__loading img {
    display: block;
    width: 100%;
    height: 100%;
}

.sp-settings__message {
    display: none;
    margin: 10px 0;
    padding: 10px 20px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    background-color: #fffaf4;
    border: 2px dashed #ff8d00;
}

.sp-table__result--error, .sp-table__result--success {
    padding: 10px;
    text-align: center;
}

.sp-table__result--error {
    background-color: #fff3f3;
    border: 2px dashed orangered;
}

.sp-table__result--success {
    background-color: #f3fff8;
    border: 2px dashed #24a02e;
}